Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Not Solved [Error Message] sql error
#1
Not Solved
Hi, last week I upgraded my version of the community from 1.6.12 to 1.8.15
there are sql error when i want to activate some of plugins
before upgrade I already had version 1.6 of these plugins on my forum
after upgrade I downloaded version 1.8 of these plugins but when i want to activate this plugin,These errors happen
please help me to fix this eror :
error for activate view group plugin :
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1366 - Incorrect integer value: '' for column 'sid' at row 1
Query:
INSERT INTO mybb_settings (`sid`,`name`,`title`,`description`,`optionscode`,`value`,`disporder`,`gid`) VALUES ('','viewgroups_groups',
error for activate resize image plugin :
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1366 - Incorrect integer value: '' for column 'parseorder' at row 1
Query:
INSERT INTO mybb_mycode (`title`,`description`,`regex`,`replacement`,`active`,`parseorder`) VALUES ('Ncode1','Ncode1','\\[img\\](.*?)\\[/img\\]','<img src=\"$1\" border=\"0\" alt=\"resim\" onload=\"NcodeImageResizer.createOn(this);\" />','1','')
error for activate other resize image plugin 
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1366 - Incorrect integer value: 'no' for column 'isdefault' at row 1
Query:
INSERT INTO mybb_settinggroups (`name`,`title`,`description`,`disporder`,`isdefault`) VALUES ('Resize_Images','Resize Images','Resize images or attachments to a certain size with Colorbox','1','no')
error for activate quick adv editor 
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1366 - Incorrect integer value: '' for column 'disporder' at row 1
Query:
INSERT INTO mybb_settinggroups (`name`,`title`,`description`,`disporder`,`isdefault`) VALUES ('quickadveditor','','.','','0')
Reply
#2
Not Solved
It's not the upgrade that's the problem in this situation. You currently have MySQL Strict Mode enabled. You can disable MySQL Strict Mode by running the following query:

set global sql_mode='';
Plugin Count: I lost count.
Public Plugins are available here.
Official GitHub.
Please do not PM me for support unless asked to.
Reply
#3
Not Solved
(07-23-2018, 05:52 PM)Wires Wrote: It's not the upgrade that's the problem in this situation. You currently have MySQL Strict Mode enabled. You can disable MySQL Strict Mode by running the following query:

set global sql_mode='';
Error

Error

SQL query:

set global sql_mode='' 

MySQL said: 

#1227 - Access denied; you need (at least one of) the SUPER privilege(s) for this operation

Reply
#4
Not Solved
What type of hosting do you have?
Plugin Count: I lost count.
Public Plugins are available here.
Official GitHub.
Please do not PM me for support unless asked to.
Reply
#5
Not Solved
Older versions of MyBB used yes / no instead of 1/ 0 for settings. For the other errors, you should edit the queries and remove the columns with no values.
Reply
#6
Not Solved
(07-23-2018, 09:00 PM)laie_techie Wrote: Older versions of MyBB used yes / no instead of 1/ 0 for settings. For the other errors, you should edit the queries and remove the columns with no values.

Probably wouldn't suggest editing queries. This could have to be done for every plugin installed on the forum.
Plugin Count: I lost count.
Public Plugins are available here.
Official GitHub.
Please do not PM me for support unless asked to.
Reply
#7
Not Solved
(07-23-2018, 08:24 PM)Wires Wrote: What type of hosting do you have?
Cloud hosting
My control panel is direct admin

(07-23-2018, 09:00 PM)laie_techie Wrote: Older versions of MyBB used yes / no instead of 1/ 0 for settings. For the other errors, you should edit the queries and remove the columns with no values.

Im amateur  Big Grin please send query for plugins that i say in the first post

(07-23-2018, 08:24 PM)Wires Wrote: What type of hosting do you have?

I contacted my hosting support.they told me in shared hosting, Disabling sql strict is not possible due to security issues
Please send the relevant query to each plugin in the first post Blush
Reply
#8
Not Solved
(07-23-2018, 10:10 PM)Wires Wrote:
(07-23-2018, 09:00 PM)laie_techie Wrote: Older versions of MyBB used yes / no instead of 1/ 0 for settings. For the other errors, you should edit the queries and remove the columns with no values.

Probably wouldn't suggest editing queries. This could have to be done for every plugin installed on the forum.


Look, MyBB changed from yes / no to 1 / 0 values for settings, so any plugin still using yes / no will have to be modified; there is no way around it. This has nothing to do with standards mode in MySQL.
Reply
#9
Not Solved
(07-24-2018, 06:30 PM)laie_techie Wrote:
(07-23-2018, 10:10 PM)Wires Wrote:
(07-23-2018, 09:00 PM)laie_techie Wrote: Older versions of MyBB used yes / no instead of 1/ 0 for settings. For the other errors, you should edit the queries and remove the columns with no values.

Probably wouldn't suggest editing queries. This could have to be done for every plugin installed on the forum.


Look, MyBB changed from yes / no to 1 / 0 values for settings, so any plugin still using yes / no will have to be modified; there is no way around it. This has nothing to do with standards mode in MySQL.

Please tell me what to do?
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)